xgboost

Public Types | Public Member Functions | List of all members
xgboost::common::CompressedIterator< T > Class Template Reference

Read symbols from a bit compressed memory buffer. Usable on device and host. More...

`#include <compressed_iterator.h>`

Collaboration diagram for xgboost::common::CompressedIterator< T >:

## Public Types
typedef CompressedIterator< T > | self_type
typedef ptrdiff_t | difference_type
typedef T | value_type
typedef value_type * | pointer
typedef value_type | reference

## Public Member Functions
| CompressedIterator ()=default
| CompressedIterator (const CompressedByteT *buffer, size_t num_symbols)
XGBOOST_DEVICE reference | operator* () const
XGBOOST_DEVICE reference | operator[] (size_t idx) const

## Detailed Description

### template<typename T>
class xgboost::common::CompressedIterator< T >

Read symbols from a bit compressed memory buffer. Usable on device and host.

Author
  Rory

Date
  7/9/2017

Template Parameters

  T | Generic type parameter.

## Member Typedef Documentation

## ◆ difference_type

template<typename T >

typedef ptrdiff_t xgboost::common::CompressedIterator< T >::difference_type

## ◆ pointer

template<typename T >

typedef value_type* xgboost::common::CompressedIterator< T >::pointer

## ◆ reference

template<typename T >

typedef value_type xgboost::common::CompressedIterator< T >::reference

## ◆ self_type

template<typename T >

typedef CompressedIterator<T> xgboost::common::CompressedIterator< T >::self_type

## ◆ value_type

template<typename T >

typedef T xgboost::common::CompressedIterator< T >::value_type

## Constructor & Destructor Documentation

## ◆ CompressedIterator() [1/2]

template<typename T >

xgboost::common::CompressedIterator< T >::CompressedIterator | ( |  | ) |
| default

## ◆ CompressedIterator() [2/2]

template<typename T >

xgboost::common::CompressedIterator< T >::CompressedIterator | ( | const CompressedByteT * | buffer,
|  | size_t | num_symbols
| ) |  |
| inline

## Member Function Documentation

## ◆ operator*()

template<typename T >

XGBOOST_DEVICE reference xgboost::common::CompressedIterator< T >::operator* | ( |  | ) | const
| inline

## ◆ operator[]()

template<typename T >

XGBOOST_DEVICE reference xgboost::common::CompressedIterator< T >::operator[] | ( | size_t | idx | ) | const
| inline

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/compressed_iterator.h